export interface PurchaseOrderItemVO {
  /**
   * 采购单子项ID
   */
  id: string | number;

  /**
   * 关联采购单号
   */
  orderSn: string;

  /**
   * 仓库ID
   */
  wid: string | number;

  /**
   * 仓库名称
   */
  wareHouseName: string;

  /**
   * 采购计划号
   */
  planSn: string;

  /**
   * 本地产品ID
   */
  productId: string | number;

  /**
   * 品名
   */
  productName: string;

  /**
   * SKU
   */
  sku: string;

  /**
   * FNSKU
   */
  fnsku: string;

  /**
   * 店铺ID
   */
  sid: string | number;

  /**
   * 型号
   */
  model: string;

  /**
   * 含税单价
   */
  price: number;

  /**
   * 价税合计
   */
  amount: number;

  /**
   * 计划采购量
   */
  quantityPlan: number;

  /**
   * 实际采购量
   */
  quantityReal: number;

  /**
   * 到货入库量
   */
  quantityEntry: number;

  /**
   * 待到货量
   */
  quantityReceive: number;

  /**
   * 退货数
   */
  quantityReturn: number;

  /**
   * 换货量
   */
  quantityExchange: number;

  /**
   * 质检量
   */
  quantityQc: number;

  /**
   * 待质检量
   */
  quantityQcPrepare: number;

  /**
   * 期待到货时间
   */
  expectArriveTime: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 箱数
   */
  casesNum: number;

  /**
   * 单箱数量
   */
  quantityPerCase: number;

  /**
   * 是否删除：0 否，1 是
   */
  isDelete: number;

  /**
   * 税率
   */
  taxRate: string;

  /**
   * SPU
   */
  spu: string;

  /**
   * 款名
   */
  spuName: string;
}

export interface PurchaseOrderItemForm extends BaseEntity {
  /**
   * 采购单子项ID
   */
  id?: string | number;

  /**
   * 关联采购单号
   */
  orderSn?: string;

  /**
   * 仓库ID
   */
  wid?: string | number;

  /**
   * 仓库名称
   */
  wareHouseName?: string;

  /**
   * 采购计划号
   */
  planSn?: string;

  /**
   * 本地产品ID
   */
  productId?: string | number;

  /**
   * 品名
   */
  productName?: string;

  /**
   * SKU
   */
  sku?: string;

  /**
   * FNSKU
   */
  fnsku?: string;

  /**
   * 店铺ID
   */
  sid?: string | number;

  /**
   * 型号
   */
  model?: string;

  /**
   * 含税单价
   */
  price?: number;

  /**
   * 价税合计
   */
  amount?: number;

  /**
   * 计划采购量
   */
  quantityPlan?: number;

  /**
   * 实际采购量
   */
  quantityReal?: number;

  /**
   * 到货入库量
   */
  quantityEntry?: number;

  /**
   * 待到货量
   */
  quantityReceive?: number;

  /**
   * 退货数
   */
  quantityReturn?: number;

  /**
   * 换货量
   */
  quantityExchange?: number;

  /**
   * 质检量
   */
  quantityQc?: number;

  /**
   * 待质检量
   */
  quantityQcPrepare?: number;

  /**
   * 期待到货时间
   */
  expectArriveTime?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 箱数
   */
  casesNum?: number;

  /**
   * 单箱数量
   */
  quantityPerCase?: number;

  /**
   * 是否删除：0 否，1 是
   */
  isDelete?: number;

  /**
   * 税率
   */
  taxRate?: string;

  /**
   * SPU
   */
  spu?: string;

  /**
   * 款名
   */
  spuName?: string;
}

export interface PurchaseOrderItemQuery extends PageQuery {
  /**
   * 关联采购单号
   */
  orderSn?: string;

  /**
   * 仓库ID
   */
  wid?: string | number;

  /**
   * 仓库名称
   */
  wareHouseName?: string;

  /**
   * 采购计划号
   */
  planSn?: string;

  /**
   * 本地产品ID
   */
  productId?: string | number;

  /**
   * 品名
   */
  productName?: string;

  /**
   * SKU
   */
  sku?: string;

  /**
   * FNSKU
   */
  fnsku?: string;

  /**
   * 店铺ID
   */
  sid?: string | number;

  /**
   * 型号
   */
  model?: string;

  /**
   * 含税单价
   */
  price?: number;

  /**
   * 价税合计
   */
  amount?: number;

  /**
   * 计划采购量
   */
  quantityPlan?: number;

  /**
   * 实际采购量
   */
  quantityReal?: number;

  /**
   * 到货入库量
   */
  quantityEntry?: number;

  /**
   * 待到货量
   */
  quantityReceive?: number;

  /**
   * 退货数
   */
  quantityReturn?: number;

  /**
   * 换货量
   */
  quantityExchange?: number;

  /**
   * 质检量
   */
  quantityQc?: number;

  /**
   * 待质检量
   */
  quantityQcPrepare?: number;

  /**
   * 期待到货时间
   */
  expectArriveTime?: string;

  /**
   * 箱数
   */
  casesNum?: number;

  /**
   * 单箱数量
   */
  quantityPerCase?: number;

  /**
   * 是否删除：0 否，1 是
   */
  isDelete?: number;

  /**
   * 税率
   */
  taxRate?: string;

  /**
   * SPU
   */
  spu?: string;

  /**
   * 款名
   */
  spuName?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
