export interface ShipmentTrackingVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 关联货件ID
   */
  shipmentId: string | number;

  /**
   * 箱号
   */
  boxId: string | number;

  /**
   * 物流单号
   */
  trackingNumber: string;

  /**
   * 本地箱子编号
   */
  localBoxId: string | number;

  /**
   * 包裹唯一标识
   */
  packageId: string | number;

  /**
   * 总数量
   */
  total: number;

  /**
   * 重量
   */
  weight: number;

  /**
   * 重量单位
   */
  weightUnit: string;

  /**
   * 长度
   */
  length: number;

  /**
   * 宽度
   */
  width: string | number;

  /**
   * 高度
   */
  height: number;

  /**
   * 尺寸单位
   */
  lengthUnit: string;

  /**
   * 箱子展示名称
   */
  boxName: string;

  /**
   * 货件唯一编号
   */
  shipmentUniqueId: string | number;

  /**
   * STA任务编号
   */
  inboundPlanId: string | number;

}

export interface ShipmentTrackingForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 关联货件ID
   */
  shipmentId?: string | number;

  /**
   * 箱号
   */
  boxId?: string | number;

  /**
   * 物流单号
   */
  trackingNumber?: string;

  /**
   * 本地箱子编号
   */
  localBoxId?: string | number;

  /**
   * 包裹唯一标识
   */
  packageId?: string | number;

  /**
   * 总数量
   */
  total?: number;

  /**
   * 重量
   */
  weight?: number;

  /**
   * 重量单位
   */
  weightUnit?: string;

  /**
   * 长度
   */
  length?: number;

  /**
   * 宽度
   */
  width?: string | number;

  /**
   * 高度
   */
  height?: number;

  /**
   * 尺寸单位
   */
  lengthUnit?: string;

  /**
   * 箱子展示名称
   */
  boxName?: string;

  /**
   * 货件唯一编号
   */
  shipmentUniqueId?: string | number;

  /**
   * STA任务编号
   */
  inboundPlanId?: string | number;

}

export interface ShipmentTrackingQuery extends PageQuery {

  /**
   * 关联货件ID
   */
  shipmentId?: string | number;

  /**
   * 箱号
   */
  boxId?: string | number;

  /**
   * 物流单号
   */
  trackingNumber?: string;

  /**
   * 本地箱子编号
   */
  localBoxId?: string | number;

  /**
   * 包裹唯一标识
   */
  packageId?: string | number;

  /**
   * 总数量
   */
  total?: number;

  /**
   * 重量
   */
  weight?: number;

  /**
   * 重量单位
   */
  weightUnit?: string;

  /**
   * 长度
   */
  length?: number;

  /**
   * 宽度
   */
  width?: string | number;

  /**
   * 高度
   */
  height?: number;

  /**
   * 尺寸单位
   */
  lengthUnit?: string;

  /**
   * 箱子展示名称
   */
  boxName?: string;

  /**
   * 货件唯一编号
   */
  shipmentUniqueId?: string | number;

  /**
   * STA任务编号
   */
  inboundPlanId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



